OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class Outage

    java.lang.Object
      org.opennms.netmgt.mock.Outage

public class Outage
extends java.lang.Object

Field Summary
`(package private) java.lang.String` `m_ipAddr`
`(package private) int` `m_lostEventId`
`(package private) java.sql.Timestamp` `m_lostEventTime`
`(package private) int` `m_nodeId`
`(package private) int` `m_regainedEventId`
`(package private) java.sql.Timestamp` `m_regainedEventTime`
`(package private) int` `m_serviceId`

Constructor Summary
`(package private)` `Outage(int nodeId, java.lang.String ipAddr, int serviceId)`
`(package private)` `Outage(MockService svc)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`boolean` `isForService(MockService svc)`
`void` `setLostEvent(int eventId, java.sql.Timestamp eventTime)`
`void` `setRegainedEvent(int eventId, java.sql.Timestamp eventTime)`
`java.lang.String` `toDetailedString()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### m_nodeId

    int m_nodeId

### m_ipAddr

    java.lang.String m_ipAddr

### m_serviceId

    int m_serviceId

### m_lostEventId

    int m_lostEventId

### m_regainedEventId

    int m_regainedEventId

### m_lostEventTime

    java.sql.Timestamp m_lostEventTime

### m_regainedEventTime

    java.sql.Timestamp m_regainedEventTime

Constructor Detail

### Outage

    Outage(int nodeId,
           java.lang.String ipAddr,
           int serviceId)

### Outage

    Outage(MockService svc)

Method Detail

### setLostEvent

    public void setLostEvent(int eventId,
                             java.sql.Timestamp eventTime)

### setRegainedEvent

    public void setRegainedEvent(int eventId,
                                 java.sql.Timestamp eventTime)

### isForService

    public boolean isForService(MockService svc)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object o)

### toDetailedString

    public java.lang.String toDetailedString()

  Returns:

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.